0

I've a few FreeIPA servers that were built using the official CentOS repositories and EPEL repo for FreeIPA.

[root@freeipa yum.repos.d]# cat /etc/redhat-release CentOS Linux release 7.2.1511 (Core)

[root@freeipa yum.repos.d]# cat /etc/redhat-release CentOS Linux
release 7.2.1511 (Core)
[root@freeipa yum.repos.d]# ipa --version 
VERSION: 4.5.4,
API_VERSION: 2.228

When I try to run a yum update --security I get:

 * base: d36uatko69830t.cloudfront.net
 * epel: mirrors.syringanetworks.net
 --> libtevent-0.9.33-2.el7.x86_64 from @base removed (updateinfo)
 --> libsemanage-python-2.5-11.el7.x86_64 from @base removed (updateinfo)
 --> 1:perl-IO-Zlib-1.10-294.el7_6.noarch from base removed (updateinfo)
 --> sssd-proxy-1.16.4-21.el7.x86_64 from base removed (updateinfo)
 --> libcroco-0.6.8-5.el7.x86_64 from installed removed (updateinfo)
 --> 1:xorg-x11-font-utils-7.5-21.el7.x86_64 from base removed (updateinfo)
 --> initscripts-9.49.47-1.el7.x86_64 from base removed (updateinfo)
 --> kernel-3.10.0-1062.el7.x86_64 from base removed (updateinfo)
 --> apr-1.4.8-5.el7.x86_64 from base removed (updateinfo)
 --> glibc-common-2.17-106.el7_2.4.x86_64 from installed removed (updateinfo)
 --> libssh2-1.8.0-3.el7.x86_64 from base removed (updateinfo)
 --> python-urlgrabber-3.10-7.el7.noarch from installed removed (updateinfo)
 --> rdma-core-22.1-3.el7.i686 from base removed (updateinfo)
No packages needed for security; 340 packages available
Resolving Dependencies

But anyway I'm not being able to complete the update. I turned YUM to verbose (debuglevel=9) and now I also can see:

Not Updating Package that is already updated: lz4.x86_64 0:1.7.5-2.el7
Not Updating Package that is already updated: vim-enhanced.x86_64 2:7.4.160-4.el7
Not Updating Package that is already updated: libref_array.x86_64 0:0.1.5-25.el7
Not Updating Package that is already updated: libref_array.x86_64 0:0.1.5-25.el7
Not Updating Package that is already updated: selinux-policy.noarch 0:3.13.1-192.el7_5.3
Not Updating Package that is already updated: gssproxy.x86_64 0:0.7.0-17.el7
Not Updating Package that is already updated: iproute.x86_64 0:3.10.0-54.el7
Not Updating Package that is already updated: quota-nls.noarch 1:4.01-11.el7
[root@freeipa yum.repos.d]# yum repolist enabled
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: d36uatko69830t.cloudfront.net
 * epel: mirrors.kernel.org
repo id                                   repo name                                                                  status
base/7/x86_64                             CentOS-7 - Base                                                            10,097
cr/7/x86_64                               CentOS-7 - cr                                                                   0
*epel/x86_64                              Extra Packages for Enterprise Linux 7 - x86_64                             13,217
repolist: 23,314

I don't have any automatic update enabled. Any idea how t solve this issue?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.